Bug 37824 - Fine tuning of appliance wizard design
Fine tuning of appliance wizard design
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Setup wizard
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-1-errata
Assigned To: Alexander Kläser
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-17 12:37 CET by Alexander Kläser
Modified: 2015-02-24 08:24 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Design, Usability
Max CVSS v3 score:


Attachments
appliance_wizard_summary_page (22.81 KB, image/png)
2015-02-18 14:44 CET, Johannes Keiser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2015-02-17 12:37:51 CET
The positioning of the page icons on small screens needs to be adapted. On small screens, help text and icons should be displayed above the main content as this is the default behaviour also in other modules.
Comment 1 Alexander Kläser univentionstaff 2015-02-17 12:46:51 CET
Fixed. YAML file adapted.

univention-system-setup (8.1.66-16):
Bug #37824:
* adjust positioning of page icons for small screens
* move styling for LiveSearch widget into CSS file, use default search icon
Comment 2 Alexander Kläser univentionstaff 2015-02-17 13:19:54 CET
I needed to adjust the import statements in the unit tests to allow the build.

univention-system-setup (8.1.66-17):
* Bug #37824: adjust imports of unit tests and remove old build dependencies
Comment 3 Alexander Kläser univentionstaff 2015-02-17 14:17:47 CET
I needed to change the absolute import statements in some netconf modules to relative imports. In that way, unit tests may be run independently and isolated during build time without the need of adding many additional build dependencies that are not really needed. I imported all modified files in a test script in order to verify that I did not introduce any mistake.

univention-system-setup (8.1.66-20):
* Bug #37824: switch to relative imports for netconf modules in order to
  allow unit tests to run isolated at build time
Comment 4 Alexander Kläser univentionstaff 2015-02-17 14:47:02 CET
I reverted the last changes regarding the problems with import statements when executing the unit tests at build time. A problem with the build environment has been solved and the package could be built as before.

univention-system-setup (8.1.66-21):
* Bug #37824: revert revisions 58147 to 58154
Comment 5 Johannes Keiser univentionstaff 2015-02-18 14:44:27 CET
Created attachment 6694 [details]
appliance_wizard_summary_page
Comment 6 Johannes Keiser univentionstaff 2015-02-18 14:46:04 CET
(In reply to Alexander Kläser from comment #1)
> Fixed. YAML file adapted.
> 
> univention-system-setup (8.1.66-16):
> Bug #37824:
> * adjust positioning of page icons for small screens
> * move styling for LiveSearch widget into CSS file, use default search icon

Reopen: Display error on the 'summary' page
        attachment 6694 [details]

All other pages loog good
Comment 7 Alexander Kläser univentionstaff 2015-02-19 11:29:12 CET
(In reply to Johannes Keiser from comment #6)
> (In reply to Alexander Kläser from comment #1)
> > Fixed. YAML file adapted.
> > 
> > univention-system-setup (8.1.66-16):
> > Bug #37824:
> > * adjust positioning of page icons for small screens
> > * move styling for LiveSearch widget into CSS file, use default search icon
> 
> Reopen: Display error on the 'summary' page
>         attachment 6694 [details]
> 
> All other pages loog good

Good catch! I removed the corresponding CSS rule. Package is building.

r58248
univention-system-setup (8.1.66-22):
* Bug #37824: minor adjustment for summary page in setup.css
Comment 8 Johannes Keiser univentionstaff 2015-02-19 12:21:13 CET
(In reply to Alexander Kläser from comment #7)
> (In reply to Johannes Keiser from comment #6)
> > (In reply to Alexander Kläser from comment #1)
> > > Fixed. YAML file adapted.
> > > 
> > > univention-system-setup (8.1.66-16):
> > > Bug #37824:
> > > * adjust positioning of page icons for small screens
> > > * move styling for LiveSearch widget into CSS file, use default search icon
> > 
> > Reopen: Display error on the 'summary' page
> >         attachment 6694 [details]
> > 
> > All other pages loog good
> 
> Good catch! I removed the corresponding CSS rule. Package is building.
> 
> r58248
> univention-system-setup (8.1.66-22):
> * Bug #37824: minor adjustment for summary page in setup.css

Display of the summary page is now good.
YAML: Ok
Comment 9 Moritz Muehlenhoff univentionstaff 2015-02-24 08:24:50 CET
http://errata.univention.de/ucs/4.0/88.html